hmmfetch(1)

NAME

hmmfetch - retrieve an HMM from an HMM database

SYNOPSIS
hmmfetch [options] database name

DESCRIPTION
hmmfetch is a small utility that retrieves an HMM called name from a HMMER model database called database. in a new format, and prints that model to standard output. For example, hmmfetch Pfam rrm retrieves the RRM (RNA recognition motif) model from Pfam, if the environment variable HMMERDB is set to the location of the Pfam database. The retrieved HMM file is written in HMMER 2 ASCII format.

The database must have an associated GSI index file. To index an HMM database, use the program hmmindex.

OPTIONS

-h  Print brief help; includes version number and summary of all options, including expert options.

-n  Interpret name as an HMM number instead of a name. Numbering starts at 0. For example, to fetch the first HMM from an HMM database called foo, you would do hmmfetch -n 0 foo.

SEE ALSO
Master man page, with full list of and guide to the individual man pages: see hmmer(1).

For complete documentation, see the user guide that came with the distribution (Userguide.pdf); or see the HMMER web page, http://hmmer.wustl.edu/.

COPYRIGHT
Copyright (C) 1992-2003 HHMI/Washington University School of Medicine.
Freely distributed under the GNU General Public License (GPL).
See the file COPYING in your distribution for details on redistribution conditions.

AUTHOR
Sean Eddy
HHMI/Dept. of Genetics
Washington Univ. School of Medicine
4566 Scott Ave.
St Louis, MO 63110 USA
http://www.genetics.wustl.edu/eddy/